<?php

// PHP code for the catalog of classes for the 3-parameter Leslie model.
//
// Copyright (C) 2006-2011 by Pawel Pilarczyk, http://www.pawelpilarczyk.com/
//
// This file is part of my research software package.  This is free software;
// you can redistribute it and/or modify it under the terms of the GNU Affero
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public
// License along with this software; see the file "license.txt".
// If not, see <http://www.gnu.org/licenses/>.

// Started in April 2008. Last revision: April 18, 2011.


require ("classes.php");


$count = 36 + 1;
$datsubdir = "data/";
$name = "pop30";
$animsubdir = "animations/";
$browserlink = "leslie3.php";

$cubecounts = array (56, 80265, 68433, 25038, 19598, 18203,
	17256, 16686, 4981, 2476, 1370, 477, 289, 217, 199, 137, 96,
	84, 42, 27, 21, 10, 5, 4, 3, 3, 3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2);
$mincoords = array ("(11,0,0)", "(0,0,0)", "(16,0,0)",
	"(9,0,0)", "(5,3,0)", "(0,32,0)", "(12,5,0)", "(45,0,8)",
	"(21,5,14)", "(51,43,0)", "(38,51,1)", "(30,60,5)",
	"(26,0,19)", "(50,63,0)", "(20,65,13)", "(56,72,0)",
	"(42,0,5)", "(57,66,0)", "(69,73,0)", "(52,2,9)",
	"(51,77,0)", "(55,1,7)", "(39,8,35)", "(52,6,19)",
	"(41,78,11)", "(64,3,7)", "(65,2,5)", "(66,1,3)",
	"(33,60,18)", "(79,78,2)", "(72,78,4)", "(64,1,5)",
	"(60,56,5)", "(60,59,5)", "(37,60,16)", "(61,4,11)", "(51,8,22)");
$maxcoords = array ("(78,79,39)", "(79,79,39)",
	"(79,79,39)", "(65,57,39)", "(79,79,39)", "(57,79,28)",
	"(69,79,39)", "(79,79,39)", "(53,55,39)", "(79,79,12)",
	"(68,79,17)", "(54,79,22)", "(48,9,39)", "(61,79,5)",
	"(39,79,28)", "(70,79,4)", "(61,5,22)", "(67,77,3)",
	"(78,79,1)", "(60,5,19)", "(61,79,5)", "(61,1,11)",
	"(40,10,38)", "(54,6,20)", "(42,79,12)", "(66,3,8)",
	"(67,2,6)", "(68,1,4)", "(33,61,18)", "(79,79,2)",
	"(72,79,4)", "(65,1,5)", "(60,57,5)", "(60,60,5)",
	"(37,61,16)", "(62,4,11)", "(52,8,23)");
$samplecubes = array (array(), array(21,69,37),
	array(53,77,37), array(15,37,37), array(15,77,37),
	array(5,77,21), array(14,37,37), array(69,69,37),
	array(29,45,37), array(69,69,5), array(45,77,13),
	array(39,77,14), array(37,8,39), array(50,77,5),
	array(29,77,21), array(70,79,0), array(49,5,22),
	array(62,77,0), array(78,79,0), array(57,5,15),
	array(61,79,0), array(61,1,7), array(39,10,38),
	array(53,6,20), array(42,79,11), array(66,3,7),
	array(67,2,5), array(68,1,3), array(33,61,18),
	array(79,79,2), array(72,79,4), array(65,1,5),
	array(60,57,5), array(60,60,5), array(37,61,16),
	array(62,4,11), array(52,8,22));

$cubfiles = array ();
for ($i = 0; $i < $count; ++ $i)
{
	$number = "$i";
	if (($i < 10) && ($count > 10))
		$number = "0${number}";
	if (($i < 100) && ($count > 100))
		$number = "0${number}";
	$filename = "${name}c${number}.zip";
	$cubfiles [$i] = "<a href=\"${datsubdir}${filename}\">${filename}</a>";
}

echo classes ($count, array (), "${animsubdir}c",
	$samplecubes, $browserlink,
	array (array ("Sample Conley-Morse graph",
	"pngunzip.php?zip=zipped/leslie3c.zip&mark=v&txt=g", "_", ".txt"),
	array ("Sample Morse decomposition",
	"pngunzip.php?zip=zipped/leslie3p.zip&mark=0&png=p", "_", ".png")),
	array ("Number of boxes", "Minimal box coordinates",
	"Maximal box coordinates", "List of boxes"),
	array ($cubecounts, $mincoords, $maxcoords, $cubfiles));

?>