<?php

// PHP code for displaying the slices of the continuation diagram
// computed for the 3-parameter Leslie model.
//
// Copyright (C) 2006-2011 by Pawel Pilarczyk, http://www.pawelpilarczyk.com/
//
// This file is part of my research software package.  This is free software;
// you can redistribute it and/or modify it under the terms of the GNU Affero
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public
// License along with this software; see the file "license.txt".
// If not, see <http://www.gnu.org/licenses/>.

// Started in April 2008. Last revision: April 18, 2011.


require ("config.php");
require ("diagrams.php");


// data which defines this set of slices
$slices = 40;
$height = 320;
$size = 4;

// prepare arrays for the diagram display
$images = array ();
$heights = array ();
$sizes = array ();
$addresses = array ();
$descriptions = array ();
for ($slice = 0; $slice < $slices; ++ $slice)
{
	// determine the slice number in the text format (with leading zeros)
	$num = "$slice";
	if (($slices > 10) && ($slice < 10))
		$num = "0" . $num;
	if (($slices > 100) && ($slice < 100))
		$num = "0" . $num;

	// fill in the arrays with a slice of the continuation diagram
	$titles [2 * $slice] = "<a name=\"layer${num}\"></a>";
	$images [2 * $slice] = "slices/slice${num}.png";
	$heights [2 * $slice] = $height;
	$sizes [2 * $slice] = $size;
	$addresses [2 * $slice] = "${browseraddress}leslie3.php";
	$descriptions [2 * $slice] = "Diagram slice at level ${slice}.";
	$other [2 * $slice] = array ("p2", $slice);

	// fill in the arrays with a slice of the set of bad cubes
	$titles [2 * $slice + 1] = "";
	$images [2 * $slice + 1] = "slices/bad${num}.png";
	$heights [2 * $slice + 1] = $height;
	$sizes [2 * $slice + 1] = $size;
	$addresses [2 * $slice + 1] = "leslie3.php";
	$descriptions [2 * $slice + 1] =
		"Lack of isolation at level ${slice}.";
	$other [2 * $slice + 1] = array ("p2", $slice);
}

$anim = <<<ANIM
(<a href="pop30anim.gif">click here for an animation</a>)
ANIM;

echo diagrams ("Slices of the Continuation Diagram<br/>for 3D Computations",
	"[none]", $images, $heights, $sizes, $addresses,
	$descriptions, '', 2, $other, $titles);

?>